Table of Contents:

    Overview

    Progress DataDirect’s ODBC Driver for Google BigQuery offers a high-performing, secure and reliable connectivity solution for ODBC applications to access Google BigQuery data. Our ODBC driver can be easily used with SQL across all platforms - Unix / Linux, AIX, Solaris, Windows and HP-UX. Enjoy real-time analytics, reporting and business intelligence (BI) capabilities with your favorite tools such as Tableau, Power BI, Qlik, Excel, Cognos, Informatica, SAS, Board, MicroStrategy, SSIS, Oracle OBIEE and more.
    • Supports authentication mechanisms like OAUTH2.0 and Service account authentication
    • Returns data for complex data types, such as Array, Struct and JSON strings.
    • Offers full CRUD support for standard and legacy SQL

    Technical Specifications

    Progress DataDirect for ODBC for Google BigQuery Version 8.0.0
    (32- and 64-bit drivers are available for all supported databases and platforms unless otherwise noted.)

    ODBC Version Support

    • Compatible with ODBC 3.8 applications

    Version Support

    • Google BigQuery

    Operating System Support

    AIX (32- and 64-bit)

    • AIX, version 5.3, 6.1, 7.1 and higher

    HP

    • HP-UX IPF (32- and 64-bit), 11i version 2.0 (B.11.23) and higher

    Linux x86 (32- and 64-bit for AMD and Intel processors)

    • CentOS Linux x86, version 4.0, 5.0, 6.0, 7.0, 8.0 and higher
    • Debian Linux x86, version 7.0, 8.0 and higher
    • Oracle Linux x86, version 4.0, 5.0, 6.0, 7.0, 8.0 and higher
    • Red Hat Enterprise Linux x86, version 4.0, 5.0, 6.0, 7.0, 8.0 and higher
    • SUSE Linux Enterprise Server Linux x86, version 10, 11, 12, 15 and higher
    • Ubuntu Linux x86, version 14.04, 16.04, 18.04 and higher

    Solaris (64-bit)

    • Solaris x86, version 10 (Solaris 5.10), 11 and higher
    • Solaris on SPARC, version 8 (Solaris 5.8), 9, 10, 11 and higher

    Windows (32- and 64-bit)

    • Windows (x86), version 7, 8.1, 10 and higher
    • Windows Server (x86), version 2008, 2012, 2016 and higher

    Driver/Client Software Requirements

    • Java Virtual Machine (JVM): Java SE 8 or higher (LTS version), including Oracle JDK, OpenJDK, and IBM SDK (Java) distributions.

    Connect any application to any data source anywhere

    Explore all DataDirect Connectors

    A product specialist will be glad to get in touch with you

    Contact Us